For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
            • GETGet Order
            • PUTUpdate Order
            • DELArchive Order
            • GETGet Count of Orders
            • GETList Orders
            • POSTCreate Order
            • DELDelete All Orders
              • GETList Consignments
              • GETList Consignment Shipping Quotes
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrdersOrder Consignments

List Consignments

GET
https://api.bigcommerce.com/stores/:store_hash/v2/orders/:order_id/consignments
GET
/stores/:store_hash/v2/orders/:order_id/consignments
$curl https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments \
> -H "X-Auth-Token: <apiKey>"
1{
2 "pickups": [
3 {
4 "collection_instructions": "Bring your ID",
5 "collection_time_description": "9am - 6pm",
6 "id": 99,
7 "line_items": [
8 {
9 "url": "https://api.bigcommerce.com/stores/{store_hash}/v2/orders/129/products/12",
10 "resource": "/orders/129/products/12"
11 }
12 ],
13 "location": {
14 "address_line_1": "123 Main Street",
15 "address_line_2": "Suite 101",
16 "city": "Austin",
17 "code": "LOCATION-1",
18 "country_alpha2": "US",
19 "email": "location1@example.com",
20 "id": 1,
21 "name": "Location 1",
22 "phone": "+1 111-111-1111",
23 "postal_code": "78726",
24 "state": "Texas"
25 },
26 "pickup_method_display_name": "Pick Up",
27 "pickup_method_id": 1
28 }
29 ]
30}
Get all consignments for an order.
Was this page helpful?
Previous

Delete All Orders

Next

List Consignment Shipping Quotes

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

includelist of enumsOptional
* `consignments.line_items` - include the response returned from the request to the `/orders/{order_id}/products` endpoint in consignments.
Allowed values:

Response

OK
pickupslist of objects
Pickup consignments.
shippinglist of objects
Shipping consignments.
downloadslist of objects
Digital consignments for products that are downloaded.
emailobject
Email consignments for gift certificates.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

  • consignments.line_items - include the response returned from the request to the /orders/{order_id}/products endpoint in consignments.